<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
<link href="css/estilo.css" rel="stylesheet" type="text/css" media="all">
<title>Pixo - Gesti&oacute;n Gerencial</title>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
  <?php
    include("conn.php");

    if (!isset($_REQUEST['UID']) || (trim($_REQUEST['UID']) == "")) {
      $_SESSION['UsuarioValidado'] = '';
      $_SESSION['CurrenteUser']    = '';
      $_SESSION['CurrenteIdUser']  = -1;
      $_SESSION['Nivel']           = -1;
      $_SESSION['UID']             = -1;
    }
    else { 
      $sql = "SELECT UU.ID_USUARIO, UU.USUARIO, UU.NOMBRE
              FROM (select UP.ID_USUARIO 
                    from OBJETOS O 
                         inner join PERFILESOBJETOS PO 
                             inner join USUARIOSPERFILES UP 
                                 inner join PERFILES P 
                                 on P.PERFIL = UP.PERFIL 
                             on UP.PERFIL = PO.PERFIL 
                         on PO.OBJETO = O.OBJETO 
                    where O.NOMBRE = 'Tablero_Web' and isnull(P.ADMIN,0) = 0 
                    union all 
                    select U.ID_USUARIO 
                    from USUARIOS U 
                         inner join USUARIOSPERFILES UP 
                             inner join PERFILES P 
                             on P.PERFIL = UP.PERFIL 
                         on UP.ID_USUARIO = U.ID_USUARIO 
                    where isnull(P.ADMIN,0) = 1) U 
                  inner join Usuarios UU 
                  ON U.id_usuario = UU.id_usuario 
              WHERE U.ID_USUARIO = ".$_REQUEST['UID']."
                AND UU.INHABILITADO = 0 ";

      $RsUsuario = $DBSegu->Execute($sql);
      if (!$RsUsuario) {
        print $DBSegu->ErrorMsg();
      }
    
      $_SESSION['UsuarioValidado'] = $RsUsuario->fields['NOMBRE'];
      $_SESSION['CurrentUser']     = $RsUsuario->fields['USUARIO'];
      $_SESSION['CurrentIdUser']   = $RsUsuario->fields['ID_USUARIO'];
      $_SESSION['UID']             = $_REQUEST['UID'];

      $sql = "select NOMBRE_BASE 
              from BASES 
              where isnull(PRINCIPAL,0) = 1 ";
      $RsBase = $DBSegu->Execute($sql);
      if (!$RsBase) {
        print $DBSegu->ErrorMsg();
      }
      $_SESSION['BaseMadre'] = ($RsBase->Recordcount() == 0)?'[PixoSeg].dbo.':$RsBase->fields['NOMBRE_BASE'].'.dbo.';
    
    }

    header("Location: index.php");
    die(); 
  ?>
</body>
</html>
